Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
installations
/
{uuid}
GetInstallation
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/installations/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "processing_status": {
    "analytic_time": "2023-11-07T05:31:56Z",
    "disable_automated_scan": true,
    "metadata": {
      "full_history_scan_time": "2023-11-07T05:31:56Z"
    },
    "queue_time": "2023-11-07T05:31:56Z",
    "scan_state": "SCAN_STATE_UNSPECIFIED",
    "scan_time": "2023-11-07T05:31:56Z"
  },
  "propagate": true,
  "spec": {
    "azure_config": {
      "host_url": "<string>",
      "personal_access_token": "<string>"
    },
    "bitbucket_config": {
      "host_url": "<string>",
      "cloud": {
        "access_token": "<string>",
        "app_password_config": {
          "app_password": "<string>",
          "username": "<string>"
        }
      },
      "data_center": {
        "http_access_token": "<string>"
      },
      "enable_full_scan": true,
      "enable_pr_comments": true,
      "enable_pr_scans": true,
      "webhook_secret": "<string>"
    },
    "enabled_features": [
      "ENABLED_FEATURE_TYPE_UNSPECIFIED"
    ],
    "external_id": "<string>",
    "external_name": "<string>",
    "github_config": {
      "app_id": "<string>",
      "enable_full_scan": true,
      "enable_pr_comments": true,
      "enable_pr_scans": true,
      "host_url": "<string>",
      "include_archived_repos": true,
      "installation_github_user": "<string>"
    },
    "gitlab_config": {
      "host_url": "<string>",
      "enable_full_scan": true,
      "enable_mr_comments": true,
      "enable_mr_scans": true,
      "personal_access_token": "<string>",
      "webhook_secret": "<string>"
    },
    "include_archived_repos": true,
    "ingestion_time": "2023-11-07T05:31:56Z",
    "ingestion_token": "<string>",
    "installation_error_message": "<string>",
    "invalid": true,
    "login": "<string>",
    "marked_for_deletion": true,
    "platform_source": "PLATFORM_SOURCE_TYPE_UNSPECIFIED",
    "platform_type": "PLATFORM_SOURCE_UNSPECIFIED",
    "project_uuids": [
      "<string>"
    ],
    "public": true,
    "scm_app_uuid": "<string>",
    "suspended": true,
    "target_type": "<string>",
    "user": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

Installation represents an installation request in the system.

meta
object
required

Common fields for all Endor Labs resources.

tenant_meta
object
required

Tenant related data for the tenant containing the resource.

processing_status
object
propagate
boolean

Propagate indicates that the object should be visible in child namespaces.

spec
object
uuid
string

The UUID of the installation.